Subject: Re: [PATCH 1/13] powerpc: Add Makefile rules to wrap dts file in zImage

From: David Gibson <[email-masked]>
Date: Tue, 22 May 2007 10:23:49 +1000

On Mon, May 21, 2007 at 11:10:43AM -0700, Mark A. Greer wrote:
> On Mon, May 14, 2007 at 10:33:32AM +1000, David Gibson wrote:
> > On Fri, May 11, 2007 at 05:53:36PM -0700, Mark A. Greer wrote:
> > > +$(obj)/zImage.dts:	$(addprefix $(obj)/, $(dts-y))
> > > +	@rm -f $@; ln $< $@
> > > +$(obj)/zImage.dts_initrd:	$(addprefix $(obj)/, $(dts_initrd-y))
> > > +	@rm -f $@; ln $< $@
> > > +
> > 
> > I thought you said you were going to drop this bit?
> 
> Hi David.
> 
> Would you elaborate on what your alternative is?  A lot of the Makefile
> stuff is still black magic to me.

Just leave them out.  As long as you add the correct specific
zImage.dts.% and zImage.dts_initrd.% targets to image-y and initrd-y,
then a "make zImage" from the top-level Makefile will get them built.
You'd want to remove the .dts versions from BOOT_TARGETS, too.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson